com.dlsc.flexgantt.swing.timeline

## Enum Eventline.EventlineEditMode

- java.lang.Object
- - java.lang.Enum<Eventline.EventlineEditMode>
  - - com.dlsc.flexgantt.swing.timeline.Eventline.EventlineEditMode

- All Implemented Interfaces:
    Serializable, Comparable<Eventline.EventlineEditMode>
  Enclosing class:
    Eventline

      public static enum Eventline.EventlineEditMode
      extends Enum<Eventline.EventlineEditMode>

  An enumeration of possible editing states that the eventline can be in. The state gets determined every time when a mouse MOVE event gets received. Depending on the location of the mouse cursor different states are entered.
  Since:
    1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHANGE_END_TIME` Value used when the end time of an eventline object gets changed.
    `CHANGE_START_TIME` Value used when the start time of an eventline object gets changed.
    `CHANGE_TIME_SPAN` Value used when an eventline object gets assigned to a new time span (horizontal drag and drop).
    `CREATE_EVENTLINE_OBJECT` Value used when eventline objects can get created.
    `NONE` Value used when no editing shall occure.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Eventline.EventlineEditMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Eventline.EventlineEditMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final Eventline.EventlineEditMode NONE

      Value used when no editing shall occure.
      Since:
        1.0

    - #### CHANGE_END_TIME

          public static final Eventline.EventlineEditMode CHANGE_END_TIME

      Value used when the end time of an eventline object gets changed.
      Since:
        1.0

    - #### CHANGE_START_TIME

          public static final Eventline.EventlineEditMode CHANGE_START_TIME

      Value used when the start time of an eventline object gets changed.
      Since:
        1.0

    - #### CHANGE_TIME_SPAN

          public static final Eventline.EventlineEditMode CHANGE_TIME_SPAN

      Value used when an eventline object gets assigned to a new time span (horizontal drag and drop).
      Since:
        1.0

    - #### CREATE_EVENTLINE_OBJECT

          public static final Eventline.EventlineEditMode CREATE_EVENTLINE_OBJECT

      Value used when eventline objects can get created.
      Since:
        1.0

  - ### Method Detail

    - #### values

          public static Eventline.EventlineEditMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Eventline.EventlineEditMode c : Eventline.EventlineEditMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Eventline.EventlineEditMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.